#!/bin/bash

source /OSM/script/os_load_base.sh


function do_diagnose()
{
    echo -e "$1\nexit\n" | diagnose --auto | grep -v diagnose
}

function BDM_PATCH_UNREGISTER()
{
    do_diagnose "sddebug userate unregisterPwrLostEvent"
}

function BDM_PATCH_REGISTER()
{
    do_diagnose "sddebug userate registerPwrLostEvent"
}

function PATCH_START()
{
	BDM_PATCH_REGISTER
    return 
}
function PATCH_END()
{
	return
}
function PATCH_ROLLSTART()
{
	BDM_PATCH_UNREGISTER
	return
}
function PATCH_ROLLEND()
{
	return
}
#start：打补丁前需要执行的操作，脚本的执行时间点在替换文件前
#end：打补丁后需要执行的操作，脚本的执行时间点在替换文件后
#rollstart：回滚补丁时需要执行的操作，脚本的执行时间点在文件被恢复之前。
#rollend：回滚补丁时需要执行的操作，脚本的执行时间点在文件被恢复之后。
#PATCH_CLOSE_SWITCH:先读取性能统计开关的状态，将其值保存到switch中,并关闭性能统计开关
#PATCH_OPEN_SWITCH:如果用户之前是打开状态，将其开关打开
L_CMD=$1
case $L_CMD in
        "start") 
                PATCH_START
                ;;
        "end") 
                PATCH_END
                ;;
        "rollstart") 
                PATCH_ROLLSTART
                ;;
        "rollend") 
                PATCH_ROLLEND
                ;;
        *)
                OS_echo "unsupported option."
esac
exit 0

